Table of Contents

## Name

gluQuadricOrientation - specify inside/outside orientation for quadrics

## C Specification

void gluQuadricOrientation( GLUquadric* quad,

        GLenum orientation )

eqn not supported

## Parameters

quad
  Specifies the quadrics object (created with gluNewQuadric).
orientation
  Specifies the desired orientation. Valid values are GLU_OUTSIDE and GLU_INSIDE.

## Description

gluQuadricOrientation specifies what kind of orientation is desired for quadrics rendered with quad. The orientation values are as follows:

GLU_OUTSIDE
  Quadrics are drawn with normals pointing outward (the initial value).
GLU_INSIDE
  Quadrics are drawn with normals pointing inward.

Note that the interpretation of outward and inward depends on the quadric being drawn.

## See Also

gluNewQuadric(3G) , gluQuadricDrawStyle(3G) , gluQuadricNormals(3G) , gluQuadricTexture(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also